Bug 1779638 - Unable to filter/search http-proxies using Organization/Location for Satellite UI.
Summary: Unable to filter/search http-proxies using Organization/Location for Satellit...
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Ian Ballou
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-12-04 12:21 UTC by Jameer Pathan
Modified: 2020-05-20 13:57 UTC (History)
3 users (show)

Fixed In Version: foreman-2.1.0-0, tfm-rubygem-katello-3.16.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28552 Normal Closed Unable to filter/search http-proxies using Organization/Location for UI. 2020-05-20 12:41:27 UTC
Foreman Issue Tracker 28792 Normal Closed product update proxy test - fix it 2020-05-20 12:41:28 UTC
Foreman Issue Tracker 29070 Normal Closed Searching for HTTP Proxy by Organization/Location is wrong in certain cases with Any Organization and Any Location 2020-05-20 12:41:28 UTC

Description Jameer Pathan 2019-12-04 12:21:20 UTC
Description of problem:
Unable to filter http-proxies using Organization/Location on Satellite UI.

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 snap 1

How reproducible:
- Always

Steps to Reproduce:
1. Go to Infrastructure > HTTP Proxies
2. Create two or more HTTP Proxies having different organization assigned to them.
3. Use filter to search HTTP Proxies based on Organization/Location. OR
4. Switch to any other Organization.

Actual results:
- All the HTTP Proxies get listed for every Organization.

Expected results:
- HTTP Proxies should be listed based on Organization/Location assigned to them.

Additional info:

[root@hpe-ml350egen8-01 ~]# hammer http-proxy list --organization-id 3
---|-------------------------------
ID | NAME                          
---|-------------------------------
1  | proxy1
3  | proxy3                        
---|-------------------------------

[root@hpe-ml350egen8-01 ~]# hammer http-proxy list --organization-id 1
---|-------------------------------
ID | NAME                          
---|-------------------------------
1  | proxy1
2  | kjk                           
3  | proxy3                        
---|-------------------------------

Comment 3 Brad Buckingham 2019-12-19 22:06:15 UTC
Created redmine issue https://projects.theforeman.org/issues/28552 from this bug

Comment 4 Brad Buckingham 2020-01-17 18:30:31 UTC
Both the foreman and katello PRs have been merged; therefore, moving to POST.

Comment 7 Jameer Pathan 2020-02-10 11:30:44 UTC
FailedQA

Failed on:
- Satellite 6.7.0 snap 11

Test steps:
1. Go to Infrastructure > HTTP Proxies
2. Create two or more HTTP Proxies having different organization assigned to them.
3. Switch to Any Organization and Any Location
4. From search bar, try searching/filtering Http proxy based on location/organization.

Observation:
- Search based on Organization/Location from search tab of Http proxy 
page doesn't work.
- Now switching to different Organization/Locations shows Http proxies assigned to them.
So the part of this issue is fixed. Only filtering/searching http proxies from search bar
doesn't work as expected.

Comment 9 Ian Ballou 2020-02-24 22:58:33 UTC
My PR to Foreman to fix this has been merged.  Related redmine: https://projects.theforeman.org/issues/29070


Note You need to log in before you can comment on or make changes to this bug.